Frequently Asked Questions

Is my smartphone / tablet compatible with SmartAirCon App?
Last Updated 6 months ago

Key words: requirement, compatible, smartphone, tablet, app

Since SmartAirCon requires the latest Bluetooth 4.2 Low Energy technology, the Bluetooth requirements for smartphones / tablets are relatively high. The following are the requirements:

i) Apple iOS 8 or above

ii) iPhone 5, 6, 7 or above,

iii) iPad3 or above, iPad Mini or above, iPad Pro, iPad Air

iv) Android smartphones or tablets must be equipped with BLE Bluetooth 4.0 or above and Android OS 5.0 or above.

(When the SmartAirCon App is downloaded from the Google Play Store, if the device specifications are not compatible, message displays may not be used)



Please Wait!

Please wait... it will take a second!